org.apache.cassandra.cql3.statements

## Class ModificationStatement.Parsed

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

Direct Known Subclasses:
  DeleteStatement.Parsed, UpdateStatement.ParsedInsert, UpdateStatement.ParsedUpdate

Enclosing class:
  ModificationStatement

    public abstract static class ModificationStatement.Parsed
    extends CFStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

Fields
`protected Attributes.Raw` `attrs`

### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

`cfName`

### Constructor Summary

Constructors
`protected` `ModificationStatement.Parsed(CFName name, Attributes.Raw attrs, java.util.List<Pair<ColumnIdentifier,ColumnCondition.Raw>> conditions, boolean ifNotExists)`

### Method Summary

Methods
`ParsedStatement.Prepared` `prepare()`
`ModificationStatement` `prepare(VariableSpecifications boundNames)`
`protected abstract ModificationStatement` `prepareInternal(CFDefinition cfDef, VariableSpecifications boundNames, Attributes attrs)`

### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

`columnFamily, keyspace, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### attrs

    protected final Attributes.Raw attrs

### Constructor Detail

#### ModificationStatement.Parsed

    protected ModificationStatement.Parsed(CFName name,
                                Attributes.Raw attrs,
                                java.util.List<Pair<ColumnIdentifier,ColumnCondition.Raw>> conditions,
                                boolean ifNotExists)

### Method Detail

#### prepare

    public ParsedStatement.Prepared prepare()
                                     throws InvalidRequestException

Specified by:
  `prepare` in class `ParsedStatement`
Throws:
  `InvalidRequestException`

#### prepare

    public ModificationStatement prepare(VariableSpecifications boundNames)
                                  throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### prepareInternal

    protected abstract ModificationStatement prepareInternal(CFDefinition cfDef,
                                        VariableSpecifications boundNames,
                                        Attributes attrs)
                                                      throws InvalidRequestException

Throws:
  `InvalidRequestException`